/**
 * This Maps an object into a schema
 * @param ob Some Object
 * @param fieldMap Optional: an already existing map of <string,string> representing <nested.key, type>
 * @param path for internal use only (recursion)
 *
 * For arrays - the function uses only the first element to determine the array type
 * (assuming the rest of the elements are of the same type)
 *
 * @returns A map of <string,string> representing <nested.key, type>
 * The following object:
 * { a: 'a', b: 1, c: new Date(), d: true, e: ['hello'], f: { g: 'g', h: [123] } };
 * would result in:
 * {"a":"string","b":"number","c":"date","d":"boolean","e":"array<string>","f.g":"string","f.h":"array<number>"}
 */
export default function mapSchema(ob: any, fieldMap?: Map<string, string>, path?: string): Map<string, string>;
